ConnectionManager

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.server
Class ConnectionManager

    java.lang.Object
      org.openswing.swing.server.ConnectionManager

public class ConnectionManager
extends java.lang.Object

Title: OpenSwing Framework

Description: Database Connection Factory: it creates a ConnectionSource object as manager of database connections.

This is a sngleton class: developers can directly refer this class to access to the database from the rest of the application (server side).

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`ConnectionManager()`

Method Summary
`static java.sql.Connection` | `getConnection(javax.servlet.ServletContext context)`
`static void` | `initConnectionSource(javax.servlet.http.HttpServlet servlet, java.lang.String connectionSourceClassName)` Method called by the server controller (class Controller).
`static boolean` | `isConnectionSourceCreated()`
`static void` | `releaseConnection(java.sql.Connection conn, javax.servlet.ServletContext context)` Release a database connection

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionManager

    public ConnectionManager()

Method Detail

### isConnectionSourceCreated

    public static boolean isConnectionSourceCreated()

  Returns:
    `true` if the connection source has been correcly created, `false` otherwise

### getConnection

    public static java.sql.Connection getConnection(javax.servlet.ServletContext context)
                                             throws java.lang.Exception

  Parameters:
    `context` - servlet context; used to retrieve database connection settings
  Returns:
    new database connection
  Throws:
    `java.lang.Exception`

### releaseConnection

    public static void releaseConnection(java.sql.Connection conn,
                                         javax.servlet.ServletContext context)

  Release a database connection

  Parameters:
    `conn` - database connection to release
    `context` - servlet context; used to retrieve database connection settings

### initConnectionSource

    public static void initConnectionSource(javax.servlet.http.HttpServlet servlet,
                                            java.lang.String connectionSourceClassName)

  Method called by the server controller (class Controller).

  Parameters:
    `connectionSourceClassName` - database connection manager class name

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD